# -*- coding: utf-8 -*-
"""
Stabilitätsanalyse: Berechnung der Pole bzw. Plot
der Pole und Nullstellen

Created on 17.4. 2019
@author: philippsen
"""

import numpy as np
#import control
import control.matlab as ma
import matplotlib.pyplot as plt

num = np.array([1,0.4, 1])
den  = np.array([1,2, 1, 4])
print(den)
print("Pole = ", str(np.roots(den)) )

sys = ma.tf(num,den)
print(sys)
print("Pole = ", ma.pole(sys) )
print("Nullstellen = ", ma.zero(sys) )
ma.pzmap(sys)
plt.grid()
  