# -*- coding: utf-8 -*-
"""
Zweite y-Achse für die Plotfunktion in Matplotlib

Created on Fri Mar 15 17:08:01 2019
@author: philippsen
"""

import numpy as np 
import matplotlib.pyplot as plt

fig, ax1 = plt.subplots()
x = np.arange(0,10,0.1) 
ax1.plot(x, 2 * np.sin(x), "--b",lw=2) 
ax1.set_ylabel('2*Sinus (- -)', color="blue") 
plt.grid()
ax2 = ax1.twinx() 
ax2.plot(x, np.cos(x), "-.r") 
ax2.set_ylabel('Cosinus (-.)', color="red") 

ax1.set_xlabel('t [s]', fontsize=15) 
